using System.Xml.Linq;
using Paraiba.Linq;

namespace CoverageFramework.Etc
{
	public class XMLNodeNumberer
	{
		public void Number(XElement element)
		{
			element.Descendants()
				.ForEach((e_, id_) => e_.SetAttributeValue("id", id_));
		}
	}
}